curl --request GET \
--url https://api.swarmd.ai/registry/v1/channels \
--header 'Authorization: Bearer <token>'{
"content": [
{
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"clientId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123
}Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | CHANNELS | READ | CHANNELS:READ |
curl --request GET \
--url https://api.swarmd.ai/registry/v1/channels \
--header 'Authorization: Bearer <token>'{
"content": [
{
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"clientId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123
}JWT token (USER, AGENT, or SERVICE auth)